Search Results for

Show / Hide Table of Contents

# Class LayoutStyle

Determines the LayoutStyle for a view, if Absolute, during LayoutSubviews, the value from the Frame will be used, if the value is Computed, then the Frame will be updated from the X, Y Pos objects and the Width and Height Dim objects.

##### Inheritance

System.Object
LayoutStyle

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class LayoutStyle : Enum

### Fields

#### Absolute

The position and size of the view are based on the Frame value.

##### Declaration

    public const LayoutStyle Absolute

##### Field Value

Type | Description
--- | ---
LayoutStyle |

#### Computed

The position and size of the view will be computed based on the X, Y, Width and Height properties and set on the Frame.

##### Declaration

    public const LayoutStyle Computed

##### Field Value

Type | Description
--- | ---
LayoutStyle |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |